Bug 1658444 - Ostree repo sync fails with 'OverflowError: MongoDB can only handle up to 8-byte ints'
Summary: Ostree repo sync fails with 'OverflowError: MongoDB can only handle up to 8-b...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Pulp
Version: 6.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-12 07:01 UTC by vijsingh
Modified: 2019-10-07 17:17 UTC (History)
10 users (show)

Fixed In Version: pulp-ostree-1.3.0-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1672491 (view as bug list)
Environment:
Last Closed: 2019-05-14 12:39:33 UTC


Attachments (Terms of Use)
Screenshot 1 (102.79 KB, image/png)
2018-12-12 07:02 UTC, vijsingh
no flags Details
Screenshot 2 (64.96 KB, image/png)
2018-12-12 07:03 UTC, vijsingh
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:39:39 UTC
Pulp Redmine 3534 High CLOSED - CURRENTRELEASE Error syncing OSTree Repository 2018-12-13 14:02:12 UTC

Description vijsingh 2018-12-12 07:01:13 UTC
Description of problem:

Ostree repo sync fails with 'OverflowError: MongoDB can only handle up to 8-byte ints'

Version-Release number of selected component (if applicable):

Satellte 6.4.1 Snap 2.0

How reproducible:

Awlays

Steps to Reproduce:

1. Create repository with following details:
  
  on GUI:

  Content => Product => <Select custom product> => Repositories => 'New Repository' => Select 'Type = Ostree' and 'Upstream URL = https://kojipkgs.fedoraproject.org/atomic/27/'

 Refer attached screenshots for more details

2. Now sync the same repository.

3. Check the tasks status as below:

  Monitor => Tasks => click on "Synchronize repository 'xxxxxxxxxxx'"

Actual results:

Repo sync fails with error "PLP0000: MongoDB can only handle up to 8-byte ints"

Expected results:

Repository should sync successfully 

Additional info:

- Same was working in earlier snap/version of 6.4
- Same is working fine with Satellite 6.5.0 snap 7.0
- Looks a regression

Comment 4 vijsingh 2018-12-12 07:02:48 UTC
Created attachment 1513613 [details]
Screenshot 1

Comment 5 vijsingh 2018-12-12 07:03:07 UTC
Created attachment 1513614 [details]
Screenshot 2

Comment 8 David Davis 2018-12-13 13:57:12 UTC
This was fixed in upstream here:

https://pulp.plan.io/issues/3534

This will be included in Satellite 6.5 since 6.5 is on Pulp 2.18.

Comment 9 pulp-infra@redhat.com 2018-12-13 14:02:17 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 10 pulp-infra@redhat.com 2018-12-13 14:02:22 UTC
The Pulp upstream bug priority is at High. Updating the external tracker on this bug.

Comment 11 pulp-infra@redhat.com 2018-12-13 14:32:46 UTC
All upstream Pulp bugs are at MODIFIED+. Moving this bug to POST.

Comment 14 David Davis 2018-12-14 12:53:46 UTC
I don't think this is a regression but rather a bug caused by a change to the https://kojipkgs.fedoraproject.org/atomic/27/ repository. I am setting NEEDINFO to @jortel to confirm.

Comment 22 vijsingh 2019-02-05 06:49:47 UTC
Verified:

@Satellite 6.5.0 Snap 14

Steps/Observation:
 
 - Created repo as below:
   
   Content => Product => <Select custom product> => Repositories => 'New Repository' => Select 'Type = Ostree' and 'Upstream URL = https://kojipkgs.fedoraproject.org/atomic/27/'

 - Able to sync Ostree  repo now.

Comment 25 errata-xmlrpc 2019-05-14 12:39:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.